Skip to main content
GET
Token Rankings

Query Parameters

sort_by
enum<string>
default:market_cap

Field to sort by. market_cap sorts by total market capitalisation, change_24h sorts by 24-hour price change percentage (fetches top 250 by market cap then sorts client-side), volume_24h sorts by 24-hour trading volume.

Available options:
market_cap,
change_24h,
volume_24h
Example:

"market_cap"

order
enum<string>
default:desc

Sort order: desc (default, highest first) or asc (lowest first).

Available options:
asc,
desc
Example:

"desc"

category
enum<string>

Optional token category filter. When provided, results are limited to coins in that category. Supported values: MEME, AI, AI_AGENTS, L1, L2, DEFI, GAMING, STABLECOIN, RWA, DEPIN, SOL_ECO, BASE_ECO, LST.

Available options:
MEME,
AI,
AI_AGENTS,
L1,
L2,
DEFI,
GAMING,
STABLECOIN,
RWA,
DEPIN,
SOL_ECO,
BASE_ECO,
LST
Example:

"MEME"

limit
integer<int64>
default:20

Results per page

Required range: 1 <= x <= 100
Example:

20

offset
integer<int64>
default:0

Pagination offset

Required range: x >= 0
Example:

0

Response

OK

data
object[] | null
required
meta
object
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/DataResponseMarketTopCoinItem.json"